#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './connectionsettings.ui'
**
** Created: fre nov 5 17:02:57 2004
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.3   edited Nov 24 2003 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "connectionsettings.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <klineedit.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ConnectionSettings as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ConnectionSettings::ConnectionSettings( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ConnectionSettings" );
    ConnectionSettingsLayout = new QGridLayout( this, 1, 1, 11, 6, "ConnectionSettingsLayout"); 

    groupBox4 = new QGroupBox( this, "groupBox4" );
    groupBox4->setColumnLayout(0, Qt::Vertical );
    groupBox4->layout()->setSpacing( 6 );
    groupBox4->layout()->setMargin( 11 );
    groupBox4Layout = new QGridLayout( groupBox4->layout() );
    groupBox4Layout->setAlignment( Qt::AlignTop );

    lblUser = new QLabel( groupBox4, "lblUser" );
    lblUser->setFrameShape( QLabel::NoFrame );
    lblUser->setFrameShadow( QLabel::Plain );

    groupBox4Layout->addWidget( lblUser, 0, 0 );

    lblPassword = new QLabel( groupBox4, "lblPassword" );

    groupBox4Layout->addWidget( lblPassword, 1, 0 );

    kcfg_User = new KLineEdit( groupBox4, "kcfg_User" );

    groupBox4Layout->addWidget( kcfg_User, 0, 1 );

    kcfg_Password = new KLineEdit( groupBox4, "kcfg_Password" );
    kcfg_Password->setEchoMode( KLineEdit::Password );

    groupBox4Layout->addWidget( kcfg_Password, 1, 1 );

    ConnectionSettingsLayout->addWidget( groupBox4, 0, 0 );

    kcfg_connectionType = new QButtonGroup( this, "kcfg_connectionType" );
    kcfg_connectionType->setColumnLayout(0, Qt::Vertical );
    kcfg_connectionType->layout()->setSpacing( 6 );
    kcfg_connectionType->layout()->setMargin( 11 );
    kcfg_connectionTypeLayout = new QGridLayout( kcfg_connectionType->layout() );
    kcfg_connectionTypeLayout->setAlignment( Qt::AlignTop );

    optCustom = new QRadioButton( kcfg_connectionType, "optCustom" );
    kcfg_connectionType->insert( optCustom, 3 );

    kcfg_connectionTypeLayout->addMultiCellWidget( optCustom, 3, 3, 0, 1 );

    optTiscali = new QRadioButton( kcfg_connectionType, "optTiscali" );
    kcfg_connectionType->insert( optTiscali, 2 );

    kcfg_connectionTypeLayout->addMultiCellWidget( optTiscali, 2, 2, 0, 1 );

    optTelia = new QRadioButton( kcfg_connectionType, "optTelia" );
    kcfg_connectionType->insert( optTelia, 0 );

    kcfg_connectionTypeLayout->addMultiCellWidget( optTelia, 0, 0, 0, 1 );

    optComHem = new QRadioButton( kcfg_connectionType, "optComHem" );
    kcfg_connectionType->insert( optComHem, 1 );

    kcfg_connectionTypeLayout->addMultiCellWidget( optComHem, 1, 1, 0, 1 );
    spacer1 = new QSpacerItem( 81, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    kcfg_connectionTypeLayout->addItem( spacer1, 4, 0 );

    kcfg_loginServer = new KLineEdit( kcfg_connectionType, "kcfg_loginServer" );
    kcfg_loginServer->setEnabled( FALSE );

    kcfg_connectionTypeLayout->addWidget( kcfg_loginServer, 4, 1 );

    ConnectionSettingsLayout->addWidget( kcfg_connectionType, 1, 0 );
    languageChange();
    resize( QSize(341, 296).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( kcfg_User, kcfg_Password );
    setTabOrder( kcfg_Password, optTelia );
    setTabOrder( optTelia, optComHem );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ConnectionSettings::~ConnectionSettings()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ConnectionSettings::languageChange()
{
    groupBox4->setTitle( tr2i18n( "Internet settings" ) );
    lblUser->setText( tr2i18n( "User name:" ) );
    lblPassword->setText( tr2i18n( "Password:" ) );
    QToolTip::add( kcfg_User, tr2i18n( "Here you enter the username for the internet connection" ) );
    QWhatsThis::add( kcfg_User, QString::null );
    QToolTip::add( kcfg_Password, tr2i18n( "Here you enter the password for the internet connection" ) );
    kcfg_connectionType->setTitle( tr2i18n( "Connection type" ) );
    QToolTip::add( kcfg_connectionType, tr2i18n( "Choose if you use Telia ADSL, com hem or Tiscali" ) );
    optCustom->setText( tr2i18n( "Other login server:" ) );
    optTiscali->setText( tr2i18n( "Tiscali" ) );
    optTelia->setText( tr2i18n( "Telia ADSL" ) );
    optComHem->setText( tr2i18n( "com hem (cable connection)" ) );
}

#include "connectionsettings.moc"
